Index: src/other/tcl/CMakeLists.txt
===================================================================
--- src/other/tcl/CMakeLists.txt	(revision 54114)
+++ src/other/tcl/CMakeLists.txt	(working copy)
@@ -633,18 +633,18 @@
 
 int main ()	{return 0;}
 		")
-    CHECK_C_SOURCE_COMPILES("${SUSV3_SRCS}" SUSV3_WORKING)
-    IF(SUSV3_WORKING)
-      ADD_TCL_CFLAG(_DARWIN_C_SOURCE)
-    ENDIF(SUSV3_WORKING)
+    check_c_source_compiles("${SUSV3_SRCS}" SUSV3_WORKING)
+    if(SUSV3_WORKING)
+      add_tcl_cflag(_DARWIN_C_SOURCE)
+    endif(SUSV3_WORKING)
 
-  ENDIF(HAVE_AVAILABILITYMACROS_H)
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+  endif(HAVE_AVAILABILITYMACROS_H)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
 
 #--------------------------------------------------------------------
 #       Check for support of fts functions (readdir replacement)
 #--------------------------------------------------------------------
-SET(FTS_SRCS "
+set(FTS_SRCS "
 #include <sys/param.h>
 #include <sys/stat.h>
 #include <fts.h>
@@ -656,10 +656,10 @@
 return 0;
 }
 ")
-CHECK_C_SOURCE_COMPILES("${FTS_SRCS}" FTS_WORKING)
-IF(FTS_WORKING)
-  ADD_TCL_CFLAG(HAVE_FTS)
-ENDIF(FTS_WORKING)
+check_c_source_compiles("${FTS_SRCS}" FTS_WORKING)
+if(FTS_WORKING)
+  add_tcl_cflag(HAVE_FTS)
+endif(FTS_WORKING)
 
 # TODO SC_BLOCKING_STYLE is for older systems, do we still need it?
 
@@ -668,22 +668,22 @@
 #       to be installed by Tcl. The default is autodetection, but can
 #       be overriden on the configure command line either way.
 #------------------------------------------------------------------------
-IF(TCL_TIMEZONE_DATA)
-  IF(${TCL_TIMEZONE_DATA} STREQUAL "")
-    SET(TCL_TIMEZONE_DATA "AUTO" CACHE STRING "Use Tcl's local timezone data")
-  ENDIF(${TCL_TIMEZONE_DATA} STREQUAL "")
-ELSE(TCL_TIMEZONE_DATA)
-  SET(TCL_TIMEZONE_DATA "AUTO" CACHE STRING "Use Tcl's local timezone data")
-ENDIF(TCL_TIMEZONE_DATA)
-IF(${TCL_TIMEZONE_DATA} STREQUAL "AUTO")
-  SET(LOCAL_TZ_DATA OFF)
+if(TCL_TIMEZONE_DATA)
+  if(${TCL_TIMEZONE_DATA} STREQUAL "")
+    set(TCL_TIMEZONE_DATA "AUTO" CACHE STRING "Use Tcl's local timezone data")
+  endif(${TCL_TIMEZONE_DATA} STREQUAL "")
+else(TCL_TIMEZONE_DATA)
+  set(TCL_TIMEZONE_DATA "AUTO" CACHE STRING "Use Tcl's local timezone data")
+endif(TCL_TIMEZONE_DATA)
+if(${TCL_TIMEZONE_DATA} STREQUAL "AUTO")
+  set(LOCAL_TZ_DATA OFF)
   find_package(TIMEZONE)
-  IF(NOT TIMEZONE_FOUND)
-    SET(LOCAL_TZ_DATA ON)
-  ENDIF(NOT TIMEZONE_FOUND)
-ELSE(${TCL_TIMEZONE_DATA} STREQUAL "AUTO")
-  SET(LOCAL_TZ_DATA ${TCL_TIMEZONE_DATA})
-ENDIF(${TCL_TIMEZONE_DATA} STREQUAL "AUTO")
+  if(NOT TIMEZONE_FOUND)
+    set(LOCAL_TZ_DATA ON)
+  endif(NOT TIMEZONE_FOUND)
+else(${TCL_TIMEZONE_DATA} STREQUAL "AUTO")
+  set(LOCAL_TZ_DATA ${TCL_TIMEZONE_DATA})
+endif(${TCL_TIMEZONE_DATA} STREQUAL "AUTO")
 
 #--------------------------------------------------------------------
 #       DTrace support
@@ -693,7 +693,7 @@
 #--------------------------------------------------------------------
 #  Does the C stack grow upwards or downwards? Or cross-compiling?
 #--------------------------------------------------------------------
-SET(C_STACK_SRC "
+set(C_STACK_SRC "
 int StackGrowsUp(int *parent) {
 int here;
 return (&here < parent);
@@ -703,29 +703,29 @@
 return StackGrowsUp(&foo);
 }
 ")
-CHECK_C_SOURCE_RUNS("${C_STACK_SRC}" STACK_GROWS_UP)
-IF(STACK_GROWS_UP)
-  ADD_TCL_CFLAG(TCL_STACK_GROWS_UP)
-ENDIF(STACK_GROWS_UP)
+check_c_source_runs("${C_STACK_SRC}" STACK_GROWS_UP)
+if(STACK_GROWS_UP)
+  add_tcl_cflag(TCL_STACK_GROWS_UP)
+endif(STACK_GROWS_UP)
 
-TCL_CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-TCL_CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-TCL_CHECK_INCLUDE_FILE(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
-IF(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+tcl_check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+tcl_check_include_file(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
+if(NOT HAVE_SYS_FSTATFS_H)
   add_definitions(-DNO_FSTATFS=1)
-ENDIF(NOT HAVE_SYS_FSTATFS_H)
-TCL_CHECK_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-TCL_CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-TCL_CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-TCL_CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-TCL_CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
+endif(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(memory.h HAVE_MEMORY_H)
+tcl_check_include_file(strings.h HAVE_STRINGS_H)
+tcl_check_include_file(inttypes.h HAVE_INTTYPES_H)
+tcl_check_include_file(stdint.h HAVE_STDINT_H)
+tcl_check_include_file(unistd.h HAVE_UNISTD_H)
 
-CHECK_COMPILER_SUPPORTS_HIDDEN_D()
+check_compiler_supports_hidden_d()
 
-TCL_CHECK_INCLUDE_FILE_USABILITY(sys/modem.h SYS_MODEM_H)
+tcl_check_include_file_usability(sys/modem.h SYS_MODEM_H)
 
 
-CHECK_FD_SET_IN_TYPES_D()
+check_fd_set_in_types_d()
 
 #--------------------------------------------------------------------
 #       OSX Framework Configuration
@@ -733,18 +733,18 @@
 # TODO
 
 # If we collected any compat sources, pass the flag
-IF(COMPAT_SRCS)
-  ADD_TCL_CFLAG(USE_COMPAT)
-ENDIF(COMPAT_SRCS)
+if(COMPAT_SRCS)
+  add_tcl_cflag(USE_COMPAT)
+endif(COMPAT_SRCS)
 
-IF(APPLE)
+if(APPLE)
   # Now that all the tests are done, configure the tclConfig.h file:
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/unix/tclConfig.h.in ${TCL_BINARY_DIR}/include/tclConfig.h)
-ENDIF(APPLE)
+endif(APPLE)
 
-ADD_SUBDIRECTORY(library)
+add_subdirectory(library)
 
-SET(TCL_GENERIC_SRCS
+set(TCL_GENERIC_SRCS
   generic/regcomp.c
   generic/regexec.c
   generic/regfree.c
@@ -821,27 +821,27 @@
   generic/tclUniData.c
   )
 
-IF(TCL_TOMMATH)
-  SET(TCL_GENERIC_SRCS ${TCL_GENERIC_SRCS} generic/tclTomMathInterface.c)
-ENDIF(TCL_TOMMATH)
+if(TCL_TOMMATH)
+  set(TCL_GENERIC_SRCS ${TCL_GENERIC_SRCS} generic/tclTomMathInterface.c)
+endif(TCL_TOMMATH)
 
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_LIBDIR="${CMAKE_INSTALL_PREFIX}/lib")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_BINDIR="${CMAKE_INSTALL_PREFIX}/bin")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_SCRDIR="${CMAKE_INSTALL_PREFIX}/scripts")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_INCDIR="${CMAKE_INSTALL_PREFIX}/include")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_DOCDIR="${CMAKE_INSTALL_PREFIX}/share/man") 
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_LIBDIR="${CMAKE_INSTALL_PREFIX}/lib")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_BINDIR="${CMAKE_INSTALL_PREFIX}/bin")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_SCRDIR="${CMAKE_INSTALL_PREFIX}/scripts")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_INCDIR="${CMAKE_INSTALL_PREFIX}/include")
-SET_PROPERTY(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_DOCDIR="${CMAKE_INSTALL_PREFIX}/share/man")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_LIBDIR="${CMAKE_INSTALL_PREFIX}/lib")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_BINDIR="${CMAKE_INSTALL_PREFIX}/bin")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_SCRDIR="${CMAKE_INSTALL_PREFIX}/scripts")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_INCDIR="${CMAKE_INSTALL_PREFIX}/include")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_INSTALL_DOCDIR="${CMAKE_INSTALL_PREFIX}/share/man") 
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_LIBDIR="${CMAKE_INSTALL_PREFIX}/lib")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_BINDIR="${CMAKE_INSTALL_PREFIX}/bin")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_SCRDIR="${CMAKE_INSTALL_PREFIX}/scripts")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_INCDIR="${CMAKE_INSTALL_PREFIX}/include")
+set_property(SOURCE generic/tclPkgConfig.c APPEND PROPERTY COMPILE_DEFINITIONS CFG_RUNTIME_DOCDIR="${CMAKE_INSTALL_PREFIX}/share/man")
 
 
-SET(TCL_STUB_SRCS
+set(TCL_STUB_SRCS
   generic/tclStubLib.c
   )
 
-SET(TCL_TOMMATH_SRCS
+set(TCL_TOMMATH_SRCS
   libtommath/bncore.c
   libtommath/bn_reverse.c
   libtommath/bn_fast_s_mp_mul_digs.c
@@ -905,13 +905,13 @@
   libtommath/bn_s_mp_sub.c
   )
 
-SET(TCL_OSX_SRCS
+set(TCL_OSX_SRCS
   macosx/tclMacOSXBundle.c
   macosx/tclMacOSXFCmd.c
   macosx/tclMacOSXNotify.c
   )
 
-SET(TCL_WIN_SRCS
+set(TCL_WIN_SRCS
   win/tcl.rc
   win/tclAppInit.c
   win/tclWin32Dll.c
@@ -933,19 +933,19 @@
   win/tclWinTime.c
   )
 
-IF(NOT LIB_DIR)
-  IF(NOT WIN32)
-    SET(LIB_DIR lib)
-  ELSE(NOT WIN32)
-    SET(LIB_DIR bin)
-  ENDIF(NOT WIN32)
-ENDIF(NOT LIB_DIR)
+if(NOT LIB_DIR)
+  if(NOT WIN32)
+    set(LIB_DIR lib)
+  else(NOT WIN32)
+    set(LIB_DIR bin)
+  endif(NOT WIN32)
+endif(NOT LIB_DIR)
 
 
-SET_PROPERTY(SOURCE win/tclWinInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_LIBRARY="${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${CMAKE_SHARED_LIBRARY_SUFFIX}")
-SET_PROPERTY(SOURCE win/tclWinInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_PACKAGE_PATH="${CMAKE_INSTALL_PREFIX}/lib")
+set_property(SOURCE win/tclWinInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_LIBRARY="${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${CMAKE_SHARED_LIBRARY_SUFFIX}")
+set_property(SOURCE win/tclWinInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_PACKAGE_PATH="${CMAKE_INSTALL_PREFIX}/lib")
 
-SET(TCL_UNIX_SRCS
+set(TCL_UNIX_SRCS
   unix/tclAppInit.c
   unix/tclUnixChan.c
   unix/tclUnixEvent.c
@@ -960,14 +960,14 @@
   unix/tclUnixCompat.c
   )
 
-SET_PROPERTY(SOURCE unix/tclUnixInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_LIBRARY="${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${CMAKE_SHARED_LIBRARY_SUFFIX}")
-SET_PROPERTY(SOURCE unix/tclUnixInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_PACKAGE_PATH="${CMAKE_INSTALL_PREFIX}/lib")
+set_property(SOURCE unix/tclUnixInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_LIBRARY="${CMAKE_INSTALL_PREFIX}/${LIB_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${CMAKE_SHARED_LIBRARY_SUFFIX}")
+set_property(SOURCE unix/tclUnixInit.c APPEND PROPERTY COMPILE_DEFINITIONS TCL_PACKAGE_PATH="${CMAKE_INSTALL_PREFIX}/lib")
 
-SET(TCL_NOTIFY_SRCS
+set(TCL_NOTIFY_SRCS
   unix/tclUnixNotfy.c
   )
 
-SET(TCL_DL_SRCS
+set(TCL_DL_SRCS
   unix/tclLoadAix.c
   unix/tclLoadDl.c
   unix/tclLoadDyld.c
@@ -976,35 +976,35 @@
   unix/tclLoadShl.c
   )
 
-SET(TCL_SRCS ${TCL_GENERIC_SRCS} ${TCL_TOMMATH_SRCS} ${TCL_STUB_SRCS}) 
-IF(WIN32)
-  SET(TCL_SRCS ${TCL_SRCS} ${TCL_WIN_SRCS})
-ELSE(WIN32)
-  SET(TCL_SRCS ${TCL_SRCS} ${TCL_NOTIFY_SRCS} ${TCL_UNIX_SRCS})
-  IF(APPLE)
-    SET(TCL_SRCS ${TCL_SRCS} ${TCL_OSX_SRCS} unix/tclLoadDyld.c)
-  ENDIF(APPLE)
-  IF(NOT APPLE)
-    SET(TCL_SRCS ${TCL_SRCS} unix/tclLoadDl.c)
-  ENDIF(NOT APPLE)
-ENDIF(WIN32)
+set(TCL_SRCS ${TCL_GENERIC_SRCS} ${TCL_TOMMATH_SRCS} ${TCL_STUB_SRCS}) 
+if(WIN32)
+  set(TCL_SRCS ${TCL_SRCS} ${TCL_WIN_SRCS})
+else(WIN32)
+  set(TCL_SRCS ${TCL_SRCS} ${TCL_NOTIFY_SRCS} ${TCL_UNIX_SRCS})
+  if(APPLE)
+    set(TCL_SRCS ${TCL_SRCS} ${TCL_OSX_SRCS} unix/tclLoadDyld.c)
+  endif(APPLE)
+  if(NOT APPLE)
+    set(TCL_SRCS ${TCL_SRCS} unix/tclLoadDl.c)
+  endif(NOT APPLE)
+endif(WIN32)
 
-SET(TCL_INCLUDE_DIRS ${TCL_SOURCE_DIR}/generic ${TCL_SOURCE_DIR}/libtommath ${TCL_BINARY_DIR}/include)
-IF(WIN32)
-  SET(TCL_INCLUDE_DIRS ${TCL_SOURCE_DIR}/win ${TCL_INCLUDE_DIRS})
-ELSE(WIN32)
-  SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SOURCE_DIR}/unix)
-ENDIF(WIN32)
+set(TCL_INCLUDE_DIRS ${TCL_SOURCE_DIR}/generic ${TCL_SOURCE_DIR}/libtommath ${TCL_BINARY_DIR}/include)
+if(WIN32)
+  set(TCL_INCLUDE_DIRS ${TCL_SOURCE_DIR}/win ${TCL_INCLUDE_DIRS})
+else(WIN32)
+  set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SOURCE_DIR}/unix)
+endif(WIN32)
 
 include_directories(
   ${TCL_INCLUDE_DIRS}
   )
 
-IF(WIN32)
-  SET(TCLSH_SRCS win/tclAppInit.c win/tclsh.rc)
-ELSE(WIN32)
-  SET(TCLSH_SRCS unix/tclAppInit.c)
-ENDIF(WIN32)
+if(WIN32)
+  set(TCLSH_SRCS win/tclAppInit.c win/tclsh.rc)
+else(WIN32)
+  set(TCLSH_SRCS unix/tclAppInit.c)
+endif(WIN32)
 
 add_library(tcl ${TCL_SRCS})
 target_link_libraries(tcl ${CoreFoundation_LIBRARIES} ${TCL_LINK_LIBS} ${DL_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
@@ -1012,14 +1012,14 @@
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
-GET_TARGET_PROPERTY(TCL_INSTALL_LIBNAME tcl LOCATION)
-SET_TARGET_PROPERTIES(tcl PROPERTIES VERSION ${TCL_VERSION} SOVERSION ${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
-IF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
-  SET_TARGET_PROPERTIES(tcl PROPERTIES LINK_FLAGS "-compatibility_version ${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} -current_version ${TCL_VERSION} -install_name \"${TCL_INSTALL_LIBNAME}\" -seg1addr 0xa000000 -sectcreate __TEXT __info_plist \"${TCL_BINARY_DIR}/Tcl-Info.plist\"")
-  SET(EXTRA_TCLSH_LIBS "-sectcreate __TEXT __info_plist \"${TCL_BINARY_DIR}/Tclsh-Info.plist\"")
+get_target_property(TCL_INSTALL_LIBNAME tcl LOCATION)
+set_target_properties(tcl PROPERTIES VERSION ${TCL_VERSION} SOVERSION ${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
+if(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+  set_target_properties(tcl PROPERTIES LINK_FLAGS "-compatibility_version ${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} -current_version ${TCL_VERSION} -install_name \"${TCL_INSTALL_LIBNAME}\" -seg1addr 0xa000000 -sectcreate __TEXT __info_plist \"${TCL_BINARY_DIR}/Tcl-Info.plist\"")
+  set(EXTRA_TCLSH_LIBS "-sectcreate __TEXT __info_plist \"${TCL_BINARY_DIR}/Tclsh-Info.plist\"")
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/macosx/Tcl-Info.plist.in ${TCL_BINARY_DIR}/Tcl-Info.plist)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/macosx/Tclsh-Info.plist.in ${TCL_BINARY_DIR}/Tclsh-Info.plist)
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+endif(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
 
 
 add_library(tclstub STATIC ${TCL_STUB_SRCS})
@@ -1033,9 +1033,9 @@
 add_executable(tclsh ${TCLSH_SRCS})
 target_link_libraries(tclsh tcl ${M_LIBRARY} ${TCL_THREADS_LIB} ${EXTRA_TCLSH_LIBS})
 install(TARGETS tclsh DESTINATION bin)
-SET_TARGET_PROPERTIES(tclsh PROPERTIES VERSION ${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
+set_target_properties(tclsh PROPERTIES VERSION ${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
 
-SET(TCL_HDRS
+set(TCL_HDRS
   generic/tcl.h
   generic/tclDecls.h
   generic/tclPlatDecls.h
@@ -1044,8 +1044,8 @@
   )
 install(FILES ${TCL_HDRS} DESTINATION include)
 
-MARK_AS_ADVANCED(TCL_LIBRARIES TCL_CONF_PREFIX TCL_INCLUDE_DIRS TCL_INCLUDE_PATH)
-MARK_AS_ADVANCED(TCL_STUB_LIBRARIES TCL_TCLSH TCL_TCLSH_EXECUTABLE)
-MARK_AS_ADVANCED(TCL_TK_CONF_PREFIX TCL_TOMMATH)
-MARK_AS_ADVANCED(TCL_VERSION_MAJOR TCL_VERSION_MINOR TCL_WISH_EXECUTABLE)
+mark_as_advanced(TCL_LIBRARIES TCL_CONF_PREFIX TCL_INCLUDE_DIRS TCL_INCLUDE_PATH)
+mark_as_advanced(TCL_STUB_LIBRARIES TCL_TCLSH TCL_TCLSH_EXECUTABLE)
+mark_as_advanced(TCL_TK_CONF_PREFIX TCL_TOMMATH)
+mark_as_advanced(TCL_VERSION_MAJOR TCL_VERSION_MINOR TCL_WISH_EXECUTABLE)
 
Index: src/other/tcl/CMake/CheckCSourceRuns.cmake
===================================================================
--- src/other/tcl/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ src/other/tcl/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -70,32 +70,32 @@
 # 
 #=============================================================================
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS 
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS 
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS "${SOURCE}")
-      SET(CHECK_SRC "${SOURCE}")
-    ELSE(EXISTS "${SOURCE}")
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${SOURCE}")
+    else(EXISTS "${SOURCE}")
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS "${SOURCE}")
     
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -105,33 +105,33 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
         "Performing C SOURCE FILE Test ${VAR} succeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
Index: src/other/tcl/CMake/CheckSystemFunctionality.cmake
===================================================================
--- src/other/tcl/CMake/CheckSystemFunctionality.cmake	(revision 54114)
+++ src/other/tcl/CMake/CheckSystemFunctionality.cmake	(working copy)
@@ -1,35 +1,35 @@
 # Checking compiler flags benefits from some macro logic
 
-INCLUDE(CheckCCompilerFlag)
+include(CheckCCompilerFlag)
 
-MACRO(CHECK_C_FLAG flag)
-  STRING(TOUPPER ${flag} UPPER_FLAG)
-  STRING(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
-  STRING(REGEX REPLACE "=" "_" UPPER_FLAG ${UPPER_FLAG})
-  IF(${ARGC} LESS 2)
-    CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-  ELSE(${ARGC} LESS 2)
-    IF(NOT ${ARGV1})
-      CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-      IF(${UPPER_FLAG}_COMPILER_FLAG)
-	MESSAGE("- Found ${ARGV1} - setting to -${flag}")
-	SET(${ARGV1} "-${flag}" CACHE STRING "${ARGV1}" FORCE)
-      ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-    ENDIF(NOT ${ARGV1})
-  ENDIF(${ARGC} LESS 2)
-  IF(${UPPER_FLAG}_COMPILER_FLAG)
-    SET(${UPPER_FLAG}_COMPILER_FLAG "-${flag}")
-  ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-ENDMACRO()
+macro(CHECK_C_FLAG flag)
+  string(TOUPPER ${flag} UPPER_FLAG)
+  string(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
+  string(REGEX REPLACE "=" "_" UPPER_FLAG ${UPPER_FLAG})
+  if(${ARGC} LESS 2)
+    check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+  else(${ARGC} LESS 2)
+    if(NOT ${ARGV1})
+      check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+      if(${UPPER_FLAG}_COMPILER_FLAG)
+	message("- Found ${ARGV1} - setting to -${flag}")
+	set(${ARGV1} "-${flag}" CACHE STRING "${ARGV1}" FORCE)
+      endif(${UPPER_FLAG}_COMPILER_FLAG)
+    endif(NOT ${ARGV1})
+  endif(${ARGC} LESS 2)
+  if(${UPPER_FLAG}_COMPILER_FLAG)
+    set(${UPPER_FLAG}_COMPILER_FLAG "-${flag}")
+  endif(${UPPER_FLAG}_COMPILER_FLAG)
+endmacro()
 
-MACRO(CHECK_C_FLAG_GATHER flag FLAGS)
-  STRING(TOUPPER ${flag} UPPER_FLAG)
-  STRING(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
-  CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-  IF(${UPPER_FLAG}_COMPILER_FLAG)
-    SET(${FLAGS} "${${FLAGS}} -${flag}")
-  ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-ENDMACRO()
+macro(CHECK_C_FLAG_GATHER flag FLAGS)
+  string(TOUPPER ${flag} UPPER_FLAG)
+  string(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
+  check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+  if(${UPPER_FLAG}_COMPILER_FLAG)
+    set(${FLAGS} "${${FLAGS}} -${flag}")
+  endif(${UPPER_FLAG}_COMPILER_FLAG)
+endmacro()
 
 
 # Automate putting variables from tests into CFLAGS,
@@ -40,78 +40,78 @@
 # If a CONFIG_CFLAGS variable is defined, they will append
 # an appropriate definition to that variable.
 
-INCLUDE(CheckFunctionExists)
-INCLUDE(CheckIncludeFile)
-INCLUDE(CheckIncludeFiles)
-INCLUDE(CheckIncludeFileCXX)
-INCLUDE(CheckTypeSize)
-INCLUDE(CheckLibraryExists)
-INCLUDE(CheckStructHasMember)
-INCLUDE(CheckCSourceCompiles)
-INCLUDE(ResolveCompilerPaths)
+include(CheckFunctionExists)
+include(CheckIncludeFile)
+include(CheckIncludeFiles)
+include(CheckIncludeFileCXX)
+include(CheckTypeSize)
+include(CheckLibraryExists)
+include(CheckStructHasMember)
+include(CheckCSourceCompiles)
+include(ResolveCompilerPaths)
 
-MACRO(CONFIG_CHECK_FUNCTION_EXISTS function var)
-  CHECK_FUNCTION_EXISTS(${function} ${var})
-  IF(${var})
+macro(CONFIG_CHECK_FUNCTION_EXISTS function var)
+  check_function_exists(${function} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(CONFIG_CHECK_FUNCTION_EXISTS)
+  endif(${var})
+endmacro(CONFIG_CHECK_FUNCTION_EXISTS)
 
-MACRO(CONFIG_CHECK_INCLUDE_FILE filename var)
-  CHECK_INCLUDE_FILE(${filename} ${var})
-  IF(${var})
+macro(CONFIG_CHECK_INCLUDE_FILE filename var)
+  check_include_file(${filename} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(CONFIG_CHECK_INCLUDE_FILE)
+  endif(${var})
+endmacro(CONFIG_CHECK_INCLUDE_FILE)
 
-MACRO(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
-  CHECK_INCLUDE_FILE(${filename} HAVE_${var})
-  IF(HAVE_${var})
-    SET(HEADER_SRC "
+macro(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
+  check_include_file(${filename} HAVE_${var})
+  if(HAVE_${var})
+    set(HEADER_SRC "
 		#include <${filename}>
 		main(){};
 		")
-    CHECK_C_SOURCE_COMPILES("${HEADER_SRC}" ${var}_USABLE)
-  ENDIF(HAVE_${var})
-  IF(NOT HAVE_${var} OR NOT ${var}_USABLE)
+    check_c_source_compiles("${HEADER_SRC}" ${var}_USABLE)
+  endif(HAVE_${var})
+  if(NOT HAVE_${var} OR NOT ${var}_USABLE)
     add_definitions(-DNO_${var}=1)
-  ENDIF(NOT HAVE_${var} OR NOT ${var}_USABLE)
-ENDMACRO(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
+  endif(NOT HAVE_${var} OR NOT ${var}_USABLE)
+endmacro(CONFIG_CHECK_INCLUDE_FILE_USABILITY filename var)
 
-MACRO(CONFIG_CHECK_INCLUDE_FILE_CXX filename var)
-  CHECK_INCLUDE_FILE_CXX(${filename} ${var})
-  IF(${var})
+macro(CONFIG_CHECK_INCLUDE_FILE_CXX filename var)
+  check_include_file_cxx(${filename} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(CONFIG_CHECK_INCLUDE_FILE_CXX)
+  endif(${var})
+endmacro(CONFIG_CHECK_INCLUDE_FILE_CXX)
 
-MACRO(CONFIG_CHECK_TYPE_SIZE typename var)
-  FOREACH(arg ${ARGN})
-    SET(headers ${headers} ${arg})
-  ENDFOREACH(arg ${ARGN})
-  SET(CHECK_EXTRA_INCLUDE_FILES ${headers})
-  CHECK_TYPE_SIZE(${typename} HAVE_${var}_T)
-  SET(CHECK_EXTRA_INCLUDE_FILES)
-  IF(HAVE_${var}_T)
+macro(CONFIG_CHECK_TYPE_SIZE typename var)
+  foreach(arg ${ARGN})
+    set(headers ${headers} ${arg})
+  endforeach(arg ${ARGN})
+  set(CHECK_EXTRA_INCLUDE_FILES ${headers})
+  check_type_size(${typename} HAVE_${var}_T)
+  set(CHECK_EXTRA_INCLUDE_FILES)
+  if(HAVE_${var}_T)
     add_definitions(-DHAVE_${var}_T=1)
     add_definitions(-DSIZEOF${var}=${HAVE_${var}_T})		
-  ENDIF(HAVE_${var}_T)
-ENDMACRO(CONFIG_CHECK_TYPE_SIZE)
+  endif(HAVE_${var}_T)
+endmacro(CONFIG_CHECK_TYPE_SIZE)
 
-MACRO(CONFIG_CHECK_STRUCT_HAS_MEMBER structname member header var)
-  CHECK_STRUCT_HAS_MEMBER(${structname} ${member} ${header} HAVE_${var})
-  IF(HAVE_${var})
+macro(CONFIG_CHECK_STRUCT_HAS_MEMBER structname member header var)
+  check_struct_has_member(${structname} ${member} ${header} HAVE_${var})
+  if(HAVE_${var})
     add_definitions(-DHAVE_${var}=1)
-  ENDIF(HAVE_${var})
-ENDMACRO(CONFIG_CHECK_STRUCT_HAS_MEMBER)
+  endif(HAVE_${var})
+endmacro(CONFIG_CHECK_STRUCT_HAS_MEMBER)
 
-MACRO(CONFIG_CHECK_LIBRARY targetname lname func)
-  IF(NOT ${targetname}_LIBRARY)
-    CHECK_LIBRARY_EXISTS(${lname} ${func} "" HAVE_${targetname}_${lname})
-    IF(HAVE_${targetname}_${lname})
-      RESOLVE_LIBRARIES(${targetname}_LIBRARY "-l${lname}")
-      SET(${targetname}_LINKOPT "-l${lname}")
-    ENDIF(HAVE_${targetname}_${lname})
-  ENDIF(NOT ${targetname}_LIBRARY)
-ENDMACRO(CONFIG_CHECK_LIBRARY lname func)
+macro(CONFIG_CHECK_LIBRARY targetname lname func)
+  if(NOT ${targetname}_LIBRARY)
+    check_library_exists(${lname} ${func} "" HAVE_${targetname}_${lname})
+    if(HAVE_${targetname}_${lname})
+      resolve_libraries(${targetname}_LIBRARY "-l${lname}")
+      set(${targetname}_LINKOPT "-l${lname}")
+    endif(HAVE_${targetname}_${lname})
+  endif(NOT ${targetname}_LIBRARY)
+endmacro(CONFIG_CHECK_LIBRARY lname func)
 
Index: src/other/tcl/CMake/FindTIMEZONE.cmake
===================================================================
--- src/other/tcl/CMake/FindTIMEZONE.cmake	(revision 54114)
+++ src/other/tcl/CMake/FindTIMEZONE.cmake	(working copy)
@@ -5,16 +5,16 @@
 #
 #=============================================================================
 
-SET(TZ_SEARCH_PATHS
+set(TZ_SEARCH_PATHS
 	/usr/share/zoneinfo
 	/usr/share/lib/zoneinfo
 	/usr/lib/zoneinfo
 	)
-FIND_PATH(TIMEZONE_DATA_DIR UTC PATHS ${TZ_SEARCH_PATHS} NO_DEFAULT_PATH)
-MARK_AS_ADVANCED(TIMEZONE_DATA_DIR)
+find_path(TIMEZONE_DATA_DIR UTC PATHS ${TZ_SEARCH_PATHS} NO_DEFAULT_PATH)
+mark_as_advanced(TIMEZONE_DATA_DIR)
 
 # handle the QUIETLY and REQUIRED arguments and set REGEX_FOUND to TRUE if 
 # all listed variables are TRUE
-INCLUDE(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(TIMEZONE DEFAULT_MSG TIMEZONE_DATA_DIR)
+include(FindPackageHandleStandardArgs)
+find_package_handle_standard_args(TIMEZONE DEFAULT_MSG TIMEZONE_DATA_DIR)
 
